/*
 * globals.h
 *
 *  Created on: Aug 29, 2019
 *      Author: abody
 */

#ifndef GLOBALS_H_
#define GLOBALS_H_

#include <inttypes.h>
#include "config.h"
#include "usart_handler.h"
#include "dma_helper.h"
#include "crc_handler.h"

extern uint32_t g_tickCount;

extern UARTSTATUS g_uartStatuses[UARTCOUNT];

extern struct crcstatus_t g_crcStatus;

extern DMAINFO g_ConsoleTxDmaInfo;
extern uint8_t g_statsBuf[128];

#endif /* GLOBALS_H_ */
